Page MenuHomePhabricator

Typehint issue in UploadStash::__construct() (causes uploads from stash via Special:Upload to fatal)
Closed, ResolvedPublic

Description

Catchable fatal error: Argument 2 passed to UploadStash::__construct() must be an instance of User, bool given
in /srv/mediawiki/php-1.28.0-wmf.18/includes/upload/UploadStash.php on line 94

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Dereckson created this task.Sep 9 2016, 7:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2016, 7:24 PM
matmarex renamed this task from Typehint issue in UploadStash::__construct() to Typehint issue in UploadStash::__construct() (causes uploads from stash via Special:Upload to fatal).Sep 10 2016, 3:27 PM
matmarex claimed this task.
matmarex triaged this task as Unbreak Now! priority.
matmarex added a project: MediaWiki-Uploading.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 10 2016, 3:27 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald Transcript

Change 309736 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Clean up user handling in UploadStash"

https://gerrit.wikimedia.org/r/309736

This results in a fatal when Special:Upload tries to upload a file from stash (this happens if the user gets a warning on the initial upload attempt; the file is stashed so that it doesn't have to be reuploaded if only file name or description needs correcting). There are around 100-200 instances per day in logstash (so presumably 100-200 uploads that could not be completed).

Change 309736 merged by jenkins-bot:
Revert "Clean up user handling in UploadStash"

https://gerrit.wikimedia.org/r/309736

Change 309813 had a related patch set uploaded (by Dereckson):
Revert "Clean up user handling in UploadStash"

https://gerrit.wikimedia.org/r/309813

Change 309813 merged by jenkins-bot:
Revert "Clean up user handling in UploadStash"

https://gerrit.wikimedia.org/r/309813

Mentioned in SAL [2016-09-12T13:31:22Z] <hashar@tin> Synchronized php-1.28.0-wmf.18/includes/upload/UploadStash.php: Revert "Clean up user handling in UploadStash" T145228 (duration: 00m 46s)

Mentioned in SAL [2016-09-12T13:32:32Z] <hashar@tin> Synchronized php-1.28.0-wmf.18/maintenance/cleanupUploadStash.php: Revert "Clean up user handling in UploadStash" T145228 (duration: 00m 46s)

matmarex closed this task as Resolved.Sep 12 2016, 1:43 PM

Fixed and deployed.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM